
Redmine - Defect #3681

Email issue creation has wrong  Tracker and Priority

2009-07-27 19:14 - S Banerian

Status: Closed Start date: 2009-07-27

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Email receiving Estimated time: 0.00 hour

Target version:    

Resolution: Invalid Affected version:  

Description

Issue creation by email happens, but Tracker and Priority are set to values different from those specified by email.  A (custom)

tracker was INSERTed rather than the tracker desired.

System:

Debian, 'lenny' (stable)

redmine 0.8-stable, R2824

rails 2.1.2

rubygems 1.3.4

Production log entry suggests correct parsing of email (portions obfuscated intentionally):

Processing MailHandlerController#index (for 128.111.222.333 at 2009-07-25 14:55:29) [POST]

Session ID: 768360bac6062204aa9b8e991b67850a

Parameters: {"action"=>"index", "allow_override"=>"", "controller"=>"mail_handler", "key"=>"CfgYKSHTEJTAzMz3mj11",

"email"=>"From cccc@rrrr.zzzz.net  Sat Jul 25 15:30:59 2009\nDate: Sat, 25 Jul 2009 15:30:59 -0700\nFrom: cccc@rrrr.zzzz.net

\nTo: cccc\nSubject: test200907251\n\nthere is a real bug  somewhere in redmine\n\nProject: zztest\nTracker: Bug\nPriority:

Urgent\nStatus: New\n"}

Completed in 0.14746 (6 reqs/sec) | Rendering: 0.00027 (0%) | DB: 0.03264 (22%) | 201 Created [

https://rrrr.rrrr.zzzz.net/mail_handler]

Mysql Logs suggest that the tracker id is getting SELECTED incorrectly:

SELECT `trackers`.id FROM `trackers`  INNER JOIN `projects_trackers` ON `trackers`.id = `projects_trackers`.tracker_id   WHERE

(`trackers`.`id` = 4) AND (`projects_trackers`.project_id = 8 )  ORDER BY trackers.position LIMIT 1;

in this case, trackers.id  should be 1 not 4

Somehow, also, priority_id is set to 'Normal' rather than 'Urgent'  but i've not been able to discover where that is being selected.

History

#1 - 2009-07-29 08:18 - Jean-Philippe Lang

Give steps to reproduce please.

#2 - 2009-08-22 00:49 - S Banerian

steps to reproduce:

(1) installed system: debian, lenny 5.0.2

(2) redmine version as given previously

(3) email-to-redmine gateway worked 'as advertised'

(4) added a new tracker, set it as default

(5) all new issues sent by email are set to the default

(6) add a different tracker, set that as default

(7) any new issue now being added as this new default tracker regardless of email contents.

#3 - 2009-11-11 23:08 - Jean-Philippe Lang

- Status changed from New to Closed

- Resolution set to Invalid

2025-05-03 1/2

mailto:cccc@rrrr.zzzz.net
mailto:cccc@rrrr.zzzz.net
https://rrrr.rrrr.zzzz.net/mail_handler


You need to allow override for that.

Override is not allowed in your exemple:

Parameters: {"action"=>"index", "allow_override"=>"", ...

#4 - 2009-11-28 13:17 - Jean-Philippe Lang

- Category changed from Email notifications to Email receiving
